package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 入院记录
 * </p>
 *
 * @author cy
 * @time: 2024-10-09
 */
public class StrAdmissionNote implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 记录编号
     */
    private String recId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 床号
     */
    private String bedNo;

    /**
     * 科别
     */
    private String deptName;

    /**
     * 病历日期
     */
    private Date recordDate;

    /**
     * 标题
     */
    private String recTitle;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 婚姻状况
     */
    private String marriage;

    /**
     * 职业
     */
    private String jobType;

    /**
     * 民族
     */
    private String nation;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 工作单位
     */
    private String workplace;

    /**
     * 户口地址
     */
    private String registerAddress;

    /**
     * 出生地
     */
    private String bornAddress;

    /**
     * 预产期
     */
    private String expectDate;

    /**
     * 末次月经
     */
    private String lastMenstrual;

    /**
     * 孕/产次
     */
    private String pregnantNum;

    /**
     * 入院日期
     */
    private Date behospitalDate;

    /**
     * 病史陈述者
     */
    private String historyTeller;

    /**
     * 主诉
     */
    private String chief;

    /**
     * 现病史
     */
    private String present;

    /**
     * 既往史
     */
    private String pastHistory;

    /**
     * 个人史
     */
    private String personalHistory;

    /**
     * 婚育史
     */
    private String maritalHistory;

    /**
     * 月经史
     */
    private String menstrualHistory;

    /**
     * 家族史
     */
    private String familyHistory;

    /**
     * 喂养史
     */
    private String feedingHistory;

    /**
     * 手术外伤史
     */
    private String operationHistory;

    /**
     * 输血史
     */
    private String bloodHistory;

    /**
     * 传染病史
     */
    private String infectionHistory;

    /**
     * 专科检查
     */
    private String specialVital;

    /**
     * 辅助检查
     */
    private String assistantExam;

    /**
     * 实验室检查
     */
    private String lisExam;

    /**
     * 影像学检查
     */
    private String pacsExam;

    /**
     * 初步诊断
     */
    private String tentativeDiagnosis;

    /**
     * 补充诊断
     */
    private String supplyDiagnosis;

    /**
     * 修正诊断
     */
    private String revisedDiagnosis;

    /**
     * 记录医生
     */
    private String recDoctor;

    /**
     * 记录时间
     */
    private Date recDate;

    /**
     * 审核医生
     */
    private String auditDoctor;

    /**
     * 审核时间
     */
    private Date auditDate;

    /**
     * 体温
     */
    private String temperature;

    /**
     * 脉搏
     */
    private String pulse;

    /**
     * 呼吸
     */
    private String breathe;

    /**
     * 血压
     */
    private String bloodPressure;

    /**
     * 疼痛
     */
    private String pain;

    /**
     * 体重
     */
    private String weight;

    /**
     * 身高
     */
    private String height;

    /**
     * BMI
     */
    private String bmi;

    /**
     * 结构化数据
     */
    private String wholeData;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间
     */
    private Date gmtModified;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 修改人
     */
    private String modifier;

    public String getRecId() {
        return recId;
    }

    public void setRecId(String recId) {
        this.recId = recId;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }
    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }
    public String getBedNo() {
        return bedNo;
    }

    public void setBedNo(String bedNo) {
        this.bedNo = bedNo;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }
    public String getRecTitle() {
        return recTitle;
    }

    public void setRecTitle(String recTitle) {
        this.recTitle = recTitle;
    }
    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }
    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }
    public String getJobType() {
        return jobType;
    }

    public void setJobType(String jobType) {
        this.jobType = jobType;
    }
    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
    public String getWorkplace() {
        return workplace;
    }

    public void setWorkplace(String workplace) {
        this.workplace = workplace;
    }
    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }
    public String getBornAddress() {
        return bornAddress;
    }

    public void setBornAddress(String bornAddress) {
        this.bornAddress = bornAddress;
    }
    public String getExpectDate() {
        return expectDate;
    }

    public void setExpectDate(String expectDate) {
        this.expectDate = expectDate;
    }
    public String getLastMenstrual() {
        return lastMenstrual;
    }

    public void setLastMenstrual(String lastMenstrual) {
        this.lastMenstrual = lastMenstrual;
    }
    public String getPregnantNum() {
        return pregnantNum;
    }

    public void setPregnantNum(String pregnantNum) {
        this.pregnantNum = pregnantNum;
    }
    public Date getBehospitalDate() {
        return behospitalDate;
    }

    public void setBehospitalDate(Date behospitalDate) {
        this.behospitalDate = behospitalDate;
    }
    public String getHistoryTeller() {
        return historyTeller;
    }

    public void setHistoryTeller(String historyTeller) {
        this.historyTeller = historyTeller;
    }
    public String getChief() {
        return chief;
    }

    public void setChief(String chief) {
        this.chief = chief;
    }
    public String getPresent() {
        return present;
    }

    public void setPresent(String present) {
        this.present = present;
    }
    public String getPastHistory() {
        return pastHistory;
    }

    public void setPastHistory(String pastHistory) {
        this.pastHistory = pastHistory;
    }
    public String getPersonalHistory() {
        return personalHistory;
    }

    public void setPersonalHistory(String personalHistory) {
        this.personalHistory = personalHistory;
    }
    public String getMaritalHistory() {
        return maritalHistory;
    }

    public void setMaritalHistory(String maritalHistory) {
        this.maritalHistory = maritalHistory;
    }
    public String getMenstrualHistory() {
        return menstrualHistory;
    }

    public void setMenstrualHistory(String menstrualHistory) {
        this.menstrualHistory = menstrualHistory;
    }
    public String getFamilyHistory() {
        return familyHistory;
    }

    public void setFamilyHistory(String familyHistory) {
        this.familyHistory = familyHistory;
    }
    public String getFeedingHistory() {
        return feedingHistory;
    }

    public void setFeedingHistory(String feedingHistory) {
        this.feedingHistory = feedingHistory;
    }
    public String getOperationHistory() {
        return operationHistory;
    }

    public void setOperationHistory(String operationHistory) {
        this.operationHistory = operationHistory;
    }
    public String getBloodHistory() {
        return bloodHistory;
    }

    public void setBloodHistory(String bloodHistory) {
        this.bloodHistory = bloodHistory;
    }
    public String getInfectionHistory() {
        return infectionHistory;
    }

    public void setInfectionHistory(String infectionHistory) {
        this.infectionHistory = infectionHistory;
    }
    public String getSpecialVital() {
        return specialVital;
    }

    public void setSpecialVital(String specialVital) {
        this.specialVital = specialVital;
    }
    public String getAssistantExam() {
        return assistantExam;
    }

    public void setAssistantExam(String assistantExam) {
        this.assistantExam = assistantExam;
    }
    public String getLisExam() {
        return lisExam;
    }

    public void setLisExam(String lisExam) {
        this.lisExam = lisExam;
    }
    public String getPacsExam() {
        return pacsExam;
    }

    public void setPacsExam(String pacsExam) {
        this.pacsExam = pacsExam;
    }
    public String getTentativeDiagnosis() {
        return tentativeDiagnosis;
    }

    public void setTentativeDiagnosis(String tentativeDiagnosis) {
        this.tentativeDiagnosis = tentativeDiagnosis;
    }
    public String getSupplyDiagnosis() {
        return supplyDiagnosis;
    }

    public void setSupplyDiagnosis(String supplyDiagnosis) {
        this.supplyDiagnosis = supplyDiagnosis;
    }
    public String getRevisedDiagnosis() {
        return revisedDiagnosis;
    }

    public void setRevisedDiagnosis(String revisedDiagnosis) {
        this.revisedDiagnosis = revisedDiagnosis;
    }
    public String getRecDoctor() {
        return recDoctor;
    }

    public void setRecDoctor(String recDoctor) {
        this.recDoctor = recDoctor;
    }
    public Date getRecDate() {
        return recDate;
    }

    public void setRecDate(Date recDate) {
        this.recDate = recDate;
    }
    public String getAuditDoctor() {
        return auditDoctor;
    }

    public void setAuditDoctor(String auditDoctor) {
        this.auditDoctor = auditDoctor;
    }
    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }
    public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }
    public String getPulse() {
        return pulse;
    }

    public void setPulse(String pulse) {
        this.pulse = pulse;
    }
    public String getBreathe() {
        return breathe;
    }

    public void setBreathe(String breathe) {
        this.breathe = breathe;
    }
    public String getBloodPressure() {
        return bloodPressure;
    }

    public void setBloodPressure(String bloodPressure) {
        this.bloodPressure = bloodPressure;
    }
    public String getPain() {
        return pain;
    }

    public void setPain(String pain) {
        this.pain = pain;
    }
    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }
    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }
    public String getBmi() {
        return bmi;
    }

    public void setBmi(String bmi) {
        this.bmi = bmi;
    }
    public String getWholeData() {
        return wholeData;
    }

    public void setWholeData(String wholeData) {
        this.wholeData = wholeData;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "StrAdmissionNote{" +
            "recId=" + recId +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", name=" + name +
            ", sex=" + sex +
            ", age=" + age +
            ", bedNo=" + bedNo +
            ", deptName=" + deptName +
            ", recordDate=" + recordDate +
            ", recTitle=" + recTitle +
            ", birthday=" + birthday +
            ", marriage=" + marriage +
            ", jobType=" + jobType +
            ", nation=" + nation +
            ", phone=" + phone +
            ", workplace=" + workplace +
            ", registerAddress=" + registerAddress +
            ", bornAddress=" + bornAddress +
            ", expectDate=" + expectDate +
            ", lastMenstrual=" + lastMenstrual +
            ", pregnantNum=" + pregnantNum +
            ", behospitalDate=" + behospitalDate +
            ", historyTeller=" + historyTeller +
            ", chief=" + chief +
            ", present=" + present +
            ", pastHistory=" + pastHistory +
            ", personalHistory=" + personalHistory +
            ", maritalHistory=" + maritalHistory +
            ", menstrualHistory=" + menstrualHistory +
            ", familyHistory=" + familyHistory +
            ", feedingHistory=" + feedingHistory +
            ", operationHistory=" + operationHistory +
            ", bloodHistory=" + bloodHistory +
            ", infectionHistory=" + infectionHistory +
            ", specialVital=" + specialVital +
            ", assistantExam=" + assistantExam +
            ", lisExam=" + lisExam +
            ", pacsExam=" + pacsExam +
            ", tentativeDiagnosis=" + tentativeDiagnosis +
            ", supplyDiagnosis=" + supplyDiagnosis +
            ", revisedDiagnosis=" + revisedDiagnosis +
            ", recDoctor=" + recDoctor +
            ", recDate=" + recDate +
            ", auditDoctor=" + auditDoctor +
            ", auditDate=" + auditDate +
            ", temperature=" + temperature +
            ", pulse=" + pulse +
            ", breathe=" + breathe +
            ", bloodPressure=" + bloodPressure +
            ", pain=" + pain +
            ", weight=" + weight +
            ", height=" + height +
            ", bmi=" + bmi +
            ", wholeData=" + wholeData +
            ", remark=" + remark +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
